#!/bin/sh
rm -rf ./classes

echo "Making directory structure"
mkdir -p classes/pl/net/linux/krzak/kchat/server
mkdir -p classes/pl/net/linux/krzak/kchat/applet

export CLASSPATH=./classes:./src:$CLASSPATH
echo "Compiling"

$JAVA_HOME/bin/javac -d classes src/pl/net/linux/krzak/kchat/server/kChatServer.java 
$JAVA_HOME/bin/javac -d classes src/pl/net/linux/krzak/kchat/applet/kChatApplet.java -deprecation

echo "Building jars"
cd classes
$JAVA_HOME/bin/jar cvfm ../jars/kChatServer.jar ../manifest/manifest.mf pl/net/linux/krzak/kchat/server
$JAVA_HOME/bin/jar cvf ../jars/kChatApplet.jar  pl/net/linux/krzak/kchat/applet
cd ..
rm -rf ./classes
